Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005676 [JEDI VCL] 00 JVCL Components minor have not tried 2011-10-06 15:44 2012-09-10 14:15
Reporter Arioch View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005676: JvPersistance should not be registered for Mac OSX target
Description JvPersistance items are registered for all platforms.
I don't know about file-based storage, but at least JvAppRegistryStorage would hardly work on MacOS without the registry itself.

Also i suspect (though not 100% sure) that all those components are VCL-based and cannot work with FMX creation/disposing sequences. If so, then all of them are to be registered Windows-only.

Maybe there are more components, not inherited from TWinControl, yet having no sense without VCL
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0019158)
Arioch (developer)
2011-11-29 11:53

in last SVN still.

The change is to be made in JvAppRegistryStorage.pas in single line:

  {$IFDEF RTL230_UP}
  [ComponentPlatformsAttribute(pidWin32 or pidWin64 or pidOSX32)]
  {$ENDIF RTL230_UP}
  TJvAppRegistryStorage = class(TJvCustomAppStorage)
(0019526)
obones (administrator)
2012-02-24 11:21

Fixed the attribute for the registry based component.
Someone will have to test them in FMX and create a new issue if they don't work, but I believe they do.

- Issue History
Date Modified Username Field Change
2011-10-06 15:44 Arioch New Issue
2011-10-07 16:10 obones Status new => acknowledged
2011-11-29 11:53 Arioch Note Added: 0019158
2012-02-24 11:21 obones Note Added: 0019526
2012-02-24 11:21 obones Status acknowledged => resolved
2012-02-24 11:21 obones Fixed in Version => Daily / SVN
2012-02-24 11:21 obones Resolution open => fixed
2012-02-24 11:21 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker